Package uk.ac.starlink.topcat.activate

# Enum Class HipsSurvey.ObsRegime

java.lang.Object
java.lang.Enum<HipsSurvey.ObsRegime>
uk.ac.starlink.topcat.activate.HipsSurvey.ObsRegime

All Implemented Interfaces:
  `Serializable`, `Comparable<HipsSurvey.ObsRegime>`, `Constable`

Enclosing class:
  `HipsSurvey`

public static enum HipsSurvey.ObsRegime extends Enum<HipsSurvey.ObsRegime>
Known obs_regime values. The toString values of these items are as documented under the "obs_regime" keyword in the HiPS specification.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EUV`
`GAMMA_RAY`
`INFRARED`
`MILLIMETER`
`OPTICAL`
`RADIO`
`UV`
`X_RAY`

## Method Summary

Modifier and Type
Method
Description
`static HipsSurvey.ObsRegime`
`fromName(String txt)`
Returns the ObsRegime instance corresponding exactly to a given string.
`String`
`toString()`
`static HipsSurvey.ObsRegime`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HipsSurvey.ObsRegime[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RADIO

public static final HipsSurvey.ObsRegime RADIO

### MILLIMETER

public static final HipsSurvey.ObsRegime MILLIMETER

### INFRARED

public static final HipsSurvey.ObsRegime INFRARED

### OPTICAL

public static final HipsSurvey.ObsRegime OPTICAL

### UV

public static final HipsSurvey.ObsRegime UV

### EUV

public static final HipsSurvey.ObsRegime EUV

### X_RAY

public static final HipsSurvey.ObsRegime X_RAY

### GAMMA_RAY

public static final HipsSurvey.ObsRegime GAMMA_RAY

## Method Details

### values

public static HipsSurvey.ObsRegime[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HipsSurvey.ObsRegime valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<HipsSurvey.ObsRegime>`

### fromName

public static HipsSurvey.ObsRegime fromName(String txt)
Returns the ObsRegime instance corresponding exactly to a given string. This string is as specified in the HiPS specification.

Parameters:
  `txt` - regime name
Returns:
  regime, or null